Skip to main content
GET
/
api
/
consumer
/
{version}
/
referrer
/
search
/
content
Find a friend content
curl --request GET \
  --url https://mention-me.com/api/consumer/{version}/referrer/search/content
{
  "entryCta": "<string>",
  "headline": "<string>",
  "searchText": "<string>",
  "searchCta": "<string>",
  "nameInputPlaceholder": "<string>",
  "emailInputPlaceholder": "<string>"
}

Documentation Index

Fetch the complete documentation index at: https://docs.mention-me.com/llms.txt

Use this file to discover all available pages before exploring further.

Path Parameters

version
enum<string>
required

Version

Available options:
v2,
v1
Pattern: v2|v1

Query Parameters

request[partnerCode]
string
required

Your partner code, used to link to your users and offers

request[situation]
string
required

Situation - a string representing where in the application you are making this request

request[localeCode]
string
required

Locale code - ISO standard locale code (e.g. en_GB) for the locale you expect the content to be in

request[userDeviceIdentifier]
string

User Device Identifier should be a unique reference to this combination of app + user.

request[deviceType]
string

Device type - your description of the device the user is using. We use this for performance and conversion optimisation.

request[appName]
string

Your application name. Used for reporting.

request[appVersion]
string

Your application version reference. Used for reporting and troubleshooting.

Response

Returned when successful

entryCta
string

e.g. "Been referred by a friend?"

headline
string

e.g. "Who referred you to us?"

searchText
string

e.g. "Enter your friends name so we can thank them for referring you to us."

searchCta
string

e.g. "Find them"

nameInputPlaceholder
string

e.g. "Your friend's name"

emailInputPlaceholder
string

e.g. "Your friend's email"

Last modified on March 31, 2026